use std::thread;

fn main() {
    // thread::spawn(|| {
    //     println!("スレッドからのメッセージ");
    // });
    // println!("メインスレッドからのメッセージ");
    // thread::sleep(Duration::from_millis(1));

    let count = |n| {
        for i in 1..=50 {
            println!("スレッド{n}: {i}");
        }
    };
    let thread1 = thread::spawn(count(1));
    let thread2 = thread::spawn(count(2));
    let thread3 = thread::spawn(count(3));
    thread1.join().unwrap();
    thread2.join().unwrap();
    thread3.join().unwrap();
    println!("mainスレッド終了");
}
